# Examen PHP 1 - 08/03/2022

De applicatie is een zeer eenvoudig order-systeem. Er zijn 3 klanten, waarvoor je en bestelling kan aanmaken. In de database kan je terugvinden welke productID's er zijn. Een bestelling aanmaken gebeurt in 2 stappen : eerst maak je het order aan (met een referentie), daarna kan je aan een bestaand order producten toevoegen.

Probeer de applicatie uit, bekijk aandachtig de code. Veel zaken moeten duidelijk zijn, waar nodig staat er extra uitleg.

> TIP: debug de applicatie en voeg zelf commentaar toe waar nodig om later snel aan de slag te gaan.

## Installatie

1. Fork deze repository (rechts boven) en maak mij collaborator (in de settings uiterst rechts)
2. Clone deze repository in een aparte folder. 
3. Installeer de libraries in vendor:  `docker run --rm -t -i -v ${PWD}:/app debaetsr/composer2 install`
4. start de lokale server: `docker run --rm -t -i -v ${PWD}:/src -p 8080:8000 debaetsr/php_xdebug`
5. Start de XDEBUG-server - deze configuratie staat reeds OK

> Zie de mattermost voor meer info omtrent deze commando's, in de pinned posts

### Opdracht

De index.php bevat enkele routes en database connecties. Pas de applicatie aan zodat het voldoet aan het Model - View - Controller systeem.

Maak gebruik van services en Twig! Alle dependencies zijn reeds geïnstalleerd indien je het  `composer install` commando (hierboven) uitgevoerd hebt.

> TIP :  De namespace is reeds geconfigureerd voor de `/src` folder. Zoek eerst deze uit!

Vergeet niet om gebruik te maken van commits en branches indien nodig. Je mag altijd je notities inscannen/fotograferen en doorsturen.

Er zijn geen instinkers, maar heb wel aandacht voor details.

> TIP : security is belangrijk!
