<?php

namespace Shop\Controller;

use Psr\Container\ContainerInterface;
use Psr\Http\Message\ResponseInterface;
use Psr\Http\Message\ServerRequestInterface;
use Shop\DB\Order_lines;
use Shop\DB\Orders;

class OrderId
{
   private $container;

   // constructor receives container instance
   public function __construct(ContainerInterface $container)
   {
       $this->container = $container;
   }

   public function getOrderId(ServerRequestInterface $request, ResponseInterface $response, array $args): ResponseInterface
   {
       
    $db = new Order_lines();

    // detail orderlijnen
    $id = $args['id'];
    $res = $db->getDetailsOrderLines($id);

    // detail order
    $db2 = new Orders();
    $a = $db2->getDetailsOrders($id);
    $response->getBody()->write('<a href="/order/' . $args['id'] . '/create">Add orderline</a>');
    

    $response->getBody()->write("<h1>ORDER DETAILS FOR ORDER " . $a['reference'] . "</h1>");
    $response->getBody()->write('<hr/>');
    $response->getBody()->write("<table>");
    while ($row = $res->fetchArray(SQLITE3_ASSOC)) {
        // maak hier een deftige tabel van
        $response->getBody()->write("<tr><td>" . " " . $row['id'] . " " . $row["itemnumber"] . " " . $row['name'] . " " . $row['qty'] . " " . $row['subtotal'] . " " . $row['vat'] . " " . $row['total'] . "</td></tr>");
    }
    $response->getBody()->write("</table>");
    $response->getBody()->write('<hr/>');

    $response->getBody()->write('<a href="/customers">Back to customer list</a> <a href="/orders">Back to order list</a>');

    return $response;
   }
	}