<?php

namespace Shop\DB;

use Shop\Model\Client as ModelClient;
class Client extends DB
{
	protected $container;
	protected $clients = [];

	public function __construct($container)
	{
		$this->container = $container;
	}

	public function getClientName($client) {
		$db = $this->container->get('db');
		$stmt2 = $db->prepare("SELECT * FROM clients WHERE id = " . $client);
    $res2 = $stmt2->execute();
		$a = $res2->fetchArray(SQLITE3_ASSOC);
		return $a;
	}

	public function getClients() {
		$db = $this->container->get('db');
    $sql = "SELECT * FROM clients";
    $stmt = $db->prepare($sql);
    $res = $stmt->execute();
		while($result = $res->fetchArray(SQLITE3_ASSOC)) {
			$client = new ModelClient($this->container);
			$client->setId($result['id']);
			$client->setFirstname($result['firstname']);
			$client->setLastname($result['lastname']);
			$client->setCompany($result['company']);
			$client->setVatnumber($result['vatnumber']);
			$client->setStreet($result['street']);
			$client->setStreet2($result['street2']);
			$client->setZipcode($result['zipcode']);
			$client->setCity($result['city']);
			$client->setState($result['state']);
			$client->setCountry($result['country']);
			$this->clients[] = $client;
		}
		return $this->clients;
	}
}